Benutzerhandbuch
Version 1.9 — Rev. 3

# Vorlagen fuer virtuelle Hosts

Vorlagen fuer virtuelle Hosts erleichtern das Erstellen vieler neuer virtueller Hosts mit aehnlichen Konfigurationen.
Jede Vorlage enthaelt eine Vorlagen-Konfigurationsdatei, eine Liste zugeordneter Listener und eine Liste von Mitglieds-virtual-hosts.
Um einen vorlagenbasierten virtuellen Host hinzuzufuegen, muss der Administrator nur ein Mitglied mit einem eindeutigen Namen fuer den virtuellen Host und einem qualifizierten Domainnamen zur Mitgliederliste der Vorlage hinzufuegen. Die Zuordnung von Listener zu virtuellem Host wird automatisch fuer alle Listener in der Liste der zugeordneten Listener der Vorlage hinzugefuegt.
Wenn Sie spaeter die Konfiguration fuer einen bestimmten virtuellen Host anpassen muessen, koennen Sie diesen Mitglieds-virtual-host einfach "instanziieren"; eine eigenstaendige Konfiguration fuer den virtuellen Host wird automatisch erstellt. Auch beim Einrichten eines angepassten virtuellen Hosts kann eine Vorlage weiterhin ein bequemer Ausgangspunkt sein.

### Vorlagenname

#### Beschreibung

Ein eindeutiger Name für die Vorlage.

### Vorlagendatei

#### Beschreibung

Gibt den Pfad zur Konfigurationsdatei dieser Vorlage an. Die Datei muss sich innerhalb von $SERVER_ROOT/conf/templates/ befinden und einen ".conf"-Dateinamen haben. Wenn die angegebene Datei nicht existiert, erscheint nach dem Speicherversuch der Vorlage ein Fehler mit dem Link "CLICK TO CREATE". Dieser Link erzeugt eine neue leere Vorlagendatei. Wenn Sie die Vorlage löschen, wird der Eintrag aus Ihren Konfigurationen entfernt, die eigentliche Vorlagenkonfigurationsdatei jedoch nicht gelöscht.

#### Syntax

Pfad

### Zugeordnete Listener

#### Beschreibung

Gibt die Namen aller Listener an, denen diese Vorlage zugeordnet wird. Den in diesem Feld angegebenen Listenern wird eine Listener-zu-Virtual-Host-Zuordnung für die virtuellen Mitgliedshosts dieser Vorlage hinzugefügt. Diese Zuordnung ordnet Listener virtuellen Hosts anhand der Domainnamen und Aliase zu, die in den einzelnen Konfigurationen der virtuellen Mitgliedshosts festgelegt sind.

#### Syntax

durch Kommas getrennte Liste

### Name des virtuellen Hosts

#### Beschreibung

Ein eindeutiger Name für diesen virtuellen Host. Dieser Name muss unter allen virtuellen Mitgliedshosts der Vorlage und eigenständigen virtuellen Hosts eindeutig sein. In einer Verzeichnispfadkonfiguration kann dieser Name über die Variable $VH_NAME referenziert werden.
Wenn auch ein eigenständiger virtueller Host mit demselben Namen konfiguriert ist, wird die Konfiguration des virtuellen Mitgliedshosts ignoriert.

### Domainname

#### Beschreibung

Gibt den Hauptdomainnamen für diesen virtuellen Mitgliedshost an. Wenn leer, wird der Name des virtuellen Hosts verwendet. Dies sollte ein vollqualifizierter Domainname sein, aber Sie können auch eine IP-Adresse verwenden. Es wird empfohlen, :<port> für Websites anzuhängen, die nicht Port 80 verwenden. Bei Konfigurationen mit Domainnamen kann diese Domain über die Variable $VH_DOMAIN referenziert werden.
Dieser Domainname wird in den folgenden Situationen verwendet:

1. Zum Abgleichen des Hostnamens im Host-Header bei der Verarbeitung einer Anforderung.
2. Zum Befüllen von Domainnamenkonfigurationen für Add-ons wie FrontPage oder AWstats.
3. Zum Konfigurieren von Listener-zu-Virtual-Host-Zuordnungen basierend auf der Virtual-Host-Vorlage.

#### Syntax

Domainname

### Domain-Aliase

#### Beschreibung

Gibt alternative Namen für den virtuellen Host an. Alle möglichen Hostnamen und IP-Adressen sollten dieser Liste hinzugefügt werden. Die Platzhalterzeichen * und ? sind im Namen erlaubt. Hängen Sie :<port> für Websites an, die nicht Port 80 verwenden.
Aliase werden in den folgenden Situationen verwendet:

1. Zum Abgleichen des Hostnamens im Host-Header bei der Verarbeitung einer Anforderung.
2. Zum Befüllen von Domainnamen-/Alias-Konfigurationen für Add-ons wie FrontPage oder AWstats.
3. Zum Konfigurieren von Listener-zu-Virtual-Host-Zuordnungen basierend auf der Virtual-Host-Vorlage.

#### Syntax

Durch Kommas getrennte Liste von Domainnamen.

### Stamm des virtuellen Mitgliedshosts

#### Beschreibung

Gibt das Stammverzeichnis dieses virtuellen Hosts an. Wenn leer, wird der standardmäßige virtuelle Hoststamm dieser Vorlage verwendet.
Hinweis: Dies ist NICHT der Dokumentstamm. Es wird empfohlen, alle Dateien, die zum virtuellen Host gehören (z. B. Virtual-Host-Konfiguration, Protokolldateien, HTML-Dateien, CGI-Skripte usw.), unter diesem Verzeichnis abzulegen. Der virtuelle Hoststamm kann als $VH_ROOT referenziert werden.

#### Syntax

Pfad

### Standardstamm des virtuellen Hosts

#### Beschreibung

Gibt das Standardstammverzeichnis für virtuelle Mitgliedshosts an, die diese Vorlage verwenden. Die Variable $VH_NAME muss im Pfad enthalten sein. Dadurch kann jedem Vorlagenmitglied automatisch ein eigenes Stammverzeichnis auf Basis seines Namens zugewiesen werden.

#### Syntax

Pfad

### Instanziierte VHost-Konfigurationsdatei

#### Beschreibung

Gibt den Speicherort der Konfigurationsdatei an, die beim Instanziieren eines virtuellen Mitgliedshosts erzeugt wird. Die Variable $VH_NAME muss im Pfad enthalten sein, damit jeder virtuelle Host seine eigene Datei hat. Sie muss unter $SERVER_ROOT/conf/vhosts/ liegen. Diese Konfigurationsdatei wird erst erstellt, nachdem Sie einen Mitglieds-vhost durch Instanziierung aus der Vorlage herausgelöst haben.

#### Syntax

Zeichenkette mit Variable $VH_NAME und Suffix .conf

#### Tipps

Information $VH_NAME/vhconf.conf wird zur einfachen Verwaltung empfohlen.

### Dokumentstamm

#### Beschreibung

Gibt den eindeutigen Pfad für den Dokumentstamm jedes virtuellen Mitgliedshosts an. Die Variable $VH_NAME oder $VH_ROOT muss im Pfad enthalten sein, damit jeder virtuelle Mitgliedshost seinen eigenen Dokumentstamm hat.

#### Syntax

Pfad mit Variable $VH_NAME oder $VH_ROOT

#### Beispiel

$VH_ROOT/public_html/ oder $SERVER_ROOT/$VH_NAME/public_html.

### In der Vorlage verwendeter Dateiname

#### Beschreibung

Gibt einen Dateipfad an, der von vorlagenbasierten Virtual-Host-Einstellungen verwendet wird. Die Variable $VH_NAME oder $VH_ROOT muss im Pfad enthalten sein, damit jeder virtuelle Mitgliedshost auf seine eigene Datei verweist. Diese Einstellung gilt für vorlageneigene Dateien wie Protokolldateien, nicht für die instanziierte Virtual-Host-Konfigurationsdatei.

#### Syntax

Pfad mit Variable $VH_NAME oder $VH_ROOT